import { Grid } from "../../../../components/grid/Grid";
import ResponsiveTable from "../../../../components/responsive-table/ResponsiveTable";

export const ProvinceDispenserSaleOutDashboard = ({ dashboardData }) => {
  return (
    <Grid container xs={12} justifyContent="center" alignItems="center">
      <ResponsiveTable
        noPagination
        title={"اطلاعات کلی"}
        columns={["تعداد فروش", "خریدار", "وزن کل لاشه ها"]}
        data={[
          [
            dashboardData?.numberOfAllocations?.toLocaleString(),
            dashboardData?.numberOfBuyers?.toLocaleString(),
            dashboardData?.totalWeightOfAllocationCarcasses?.toLocaleString(),
          ],
        ]}
      />
    </Grid>
  );
};
